Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.xml.client
Interface Element

All Superinterfaces:
  Node

    public interface Element

extends Node

This interface represents XML DOM elements, which are the basic building block of XML. An example follows:

          Some text more text

Field Summary

Fields inherited from interface com.google.gwt.xml.client.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAttribute(java.lang.String name)` This method retrieves the attribute which has a name of `name`.
`Attr` | `getAttributeNode(java.lang.String name)` This method retrieves the attribute node which has a name of `name`.
`NodeList` | `getElementsByTagName(java.lang.String name)` This method retrieves the elements by tag name which has a name of `name`.
`java.lang.String` | `getTagName()` This method retrieves the tag name.
`boolean` | `hasAttribute(java.lang.String name)` This method determines whether this `Element` has an attribute with the supplied name.
`void` | `removeAttribute(java.lang.String name)` This method removes the attribute which has the specified name.
`void` | `setAttribute(java.lang.String name, java.lang.String value)` This method sets the attribute specified by `name` to `value`.

Methods inherited from interface com.google.gwt.xml.client.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue`

Method Detail

### getAttribute

    java.lang.String getAttribute(java.lang.String name)

  This method retrieves the attribute which has a name of `name`.

  Parameters:
    `name` - the name of the attribute to get the value of
  Returns:
    the value of the attribute specified by `name`

### getAttributeNode

    Attr getAttributeNode(java.lang.String name)

  This method retrieves the attribute node which has a name of `name`. This `Attr` will have the same value as would be gotten with `getAttribute`.

  Parameters:
    `name` - the name of the `Attr` to get
  Returns:
    the attribute node of this `Element`which has a name of `name`

### getElementsByTagName

    NodeList getElementsByTagName(java.lang.String name)

  This method retrieves the elements by tag name which has a name of `name`.

  Parameters:
    `name` - the name of the `Element` to get
  Returns:
    the elements by tag name of this `Element` which has a name of `name`

### getTagName

    java.lang.String getTagName()

  This method retrieves the tag name.

  Returns:
    the tag name of this `Element`

### hasAttribute

    boolean hasAttribute(java.lang.String name)

  This method determines whether this `Element` has an attribute with the supplied name.

  Parameters:
    `name` - the name of the attribute
  Returns:
    `true` if this `Element` has an attribute that name.

### removeAttribute

    void removeAttribute(java.lang.String name)

  This method removes the attribute which has the specified name.

  Parameters:
    `name` - the name of the attribute to remove

### setAttribute

    void setAttribute(java.lang.String name,
                      java.lang.String value)

  This method sets the attribute specified by `name` to `value`.

  Parameters:
    `name` - the name of the attribute to set
    `value` - the new value this attribute is to have

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD